#pragma once
#include "WaveParserProto.h"

class CWaveParserFront :
	public CWaveParserProto
{
	protected:

		int             findLocMin(WaveData &pWave, int &pos);
		int             findLocMax(WaveData &pWave, int &pos);

		virtual int     CalcImpLength(WaveData &pWave, int &pos) override;
		virtual bool    FindMarker1(WaveData &pWave) override;

	public:
		CWaveParserFront();
		virtual ~CWaveParserFront() override;
};

